#include"mkf_print.hpp"
#include<cstdlib>
#include<cstdio>
#include<cstdarg>




void
iput(int  i)
{
    while(i--)
    {
      printf("  ");
    }
}



void
iprintf(int  i, const char*  fmt, ...)
{
  iput(i);

  va_list  ap;
  va_start(ap,fmt);

  vprintf(fmt,ap);

  va_end(ap);
}


void
iputc(int  i, int  c)
{
  iput(i);

    switch(c)
    {
      case(0   ): printf("(null)");break;
      case(' ' ): printf("(space)");break;
      case('\n'): printf("(newline)");break;
      case('\t'): printf("(tab)");break;
      default:
        printf("%c",c);
    }
}


void
iputs(int  i, const char*  s)
{
    while(*s)
    {
      iputc(i,*s++);
    }
}




